%define name    gnustep-base
%define version 1.15.0
%define release %mkrel 4

# haven't found a hack to make the documentaion build without DTDs installed
# so, requires itself to build currently
%define	build_doc 1

%define major 	1.15

%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.bz2
License: 	LGPL
Group: 		Development/Other
Summary: 	GNUstep Base package
URL:		http://www.gnustep.org/

BuildRequires:	gnustep-make libffcall-devel
BuildRequires:	gcc-objc
BuildRequires:	libxml2-devel libxslt-devel zlib-devel
BuildRequires:	libopenssl-devel
%if %build_doc
BuildRequires:	tetex-dvips
BuildRequires:	tetex-texi2html
BuildRequires:	texinfo
BuildRequires:	%name
%endif
Requires:	gnustep-make >= 2.0.0
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.

%package -n     %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n     %{libnamedev}
Summary:        Header files and static libraries from %name
Group:          Development/Other
Requires:       %{libname} >= %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release} 
Obsoletes:      %name-devel

%description -n %{libnamedev}
Libraries and includes files for developing programs based on %name.

%prep  
%setup -q

%build
if [ -z "$GNUSTEP_SYSTEM_ROOT" ]; then
  . %{_sysconfdir}/profile.d/GNUstep.sh 
fi 
./configure --prefix=/%_prefix
make
%if %build_doc
make -C Documentation
%endif

%install
if [ -z "$GNUSTEP_SYSTEM_ROOT" ]; then
  . %{_sysconfdir}/profile.d/GNUstep.sh 
fi
%makeinstall_std
%if %build_doc
cd Documentation
%makeinstall_std
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post 
grep -q '^gdomap' /etc/services                                            \
   || (echo "gdomap 538/tcp # GNUstep distributed objects" >> /etc/services  \
       && echo "gdomap 538/udp # GNUstep distributed objects" >> /etc/services)

%postun 
mv -f /etc/services /etc/services.orig
grep -v "^gdomap 538" /etc/services.orig > /etc/services
rm -f /etc/services.orig

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc ANNOUNCE COPYING COPYING.LIB ChangeLog*
%doc NEWS README
%{_bindir}/*
%{_prefix}/lib/GNUstep
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n %{libname}
%defattr(-,root,root)
%{_prefix}/lib/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_datadir}/GNUstep/*
%{_prefix}/lib/*.so


%changelog
* Fri Aug 03 2007 Austin Acton <austin@mandriva.org> 1.15.0-4mdv2008.0
+ Revision: 58679
- buildrequires texinfo when building docs
- rebuild to get documentation

* Tue Jul 10 2007 Austin Acton <austin@mandriva.org> 1.15.0-3mdv2008.0
+ Revision: 51102
- rebuild for new locations
- move to FHS structure
- re libify; non-versioned devel
- drop explicit provides hack

* Sat Jun 02 2007 Austin Acton <austin@mandriva.org> 1.15.0-2mdv2008.0
+ Revision: 34756
- setup for doc build
- explicit provides (Charles Edwards)

* Wed May 30 2007 Austin Acton <austin@mandriva.org> 1.15.0-1mdv2008.0
+ Revision: 32872
- new version
- redo most of spec file for simplicity
- disable documentation, temporarily


* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 1.12.0-2mdv2007.0
- post postrun ldconfig

* Mon Jun 19 2006 Charles A Edwards <eslrahc@mandriva.org> 1.12.0-1mdv2007.0
- 1.12.0
- mkrel
- bump major
- add doc build

* Mon Apr 04 2005 Charles A Edwards <eslrahc@mandrake.org> 1.10.2-1mdk
- 1.10.2
- mv headers to devel pkg
- use _prefix
- bzip2 changelog 1 & 2 and include in Doc
- add Examples as Doc in devel pkg

* Sat Nov 06 2004 Charles A Edwards <eslrahc@mandrake.org> 1.10.1-3mdk
- exclude so from main pkg

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10.1-1mdk
- 1.10.1

* Fri Sep 10 2004 Charles A Edwards <eslrahc@mandrake.org> 1.10.0-2mdk
- fix Major and Provides

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10.0-1mdk
- 1.10.0

* Fri Aug 08 2003 Marcel Pol <mpol@gmx.net> 1.6.0-2mdk
- rebuild
- setup -q

